Bug 52237 - Failure to boot CD-ROM with Roswell
Failure to boot CD-ROM with Roswell
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: syslinux (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-21 16:44 EDT by Daryll
Modified: 2007-04-18 12:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:27:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daryll 2001-08-21 16:44:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.6-pre5 i686)

Description of problem:
I burned two copies of the latest Roswell release. I tried booting each of
these CDs on two different machines, but the CD isn't detected. The MD5s do
match. These machines
booted the first public beta.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Burn CD
2. Insert CD
3. Boot Machine
:-)
	

Actual Results:  Goes straight into lilo or grub

Expected Results:  Should stop in syslinux to allow Linux install

Additional info:

lspci -v on a Tyan HEsl based system with Toshiba IDE CD-ROM:

00:00.0 Host bridge: ServerWorks CNB20HE (rev 23)
	Flags: fast devsel
	Memory at <unassigned> (32-bit, prefetchable) [disabled]
	Memory at <unassigned> (32-bit, non-prefetchable) [disabled] [size=4K]

00:00.1 PCI bridge: ServerWorks CNB20LE (rev 01) (prog-if 00 [Normal
decode])
	Flags: bus master, 66Mhz, medium devsel, latency 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fd500000-fe5fffff
	Prefetchable memory behind bridge: f9200000-fd2fffff
	Capabilities: [80] AGP version 2.0

00:00.2 Host bridge: ServerWorks: Unknown device 0006 (rev 01)
	Flags: medium devsel

00:00.3 Host bridge: ServerWorks: Unknown device 0006 (rev 01)
	Flags: medium devsel

00:01.0 SCSI storage controller: Symbios Logic Inc. (formerly NCR) 53c1010
66Mhz Ultra3 SCSI Adapter (rev 01)
	Subsystem: Symbios Logic Inc. (formerly NCR): Unknown device 1000
	Flags: bus master, medium devsel, latency 72, IRQ 29
	I/O ports at d400 [size=256]
	Memory at feaff800 (64-bit, non-prefetchable) [size=1K]
	Memory at feaf6000 (64-bit, non-prefetchable) [size=8K]
	Expansion ROM at feaf0000 [disabled] [size=16K]
	Capabilities: [40] Power Management version 2

00:01.1 SCSI storage controller: Symbios Logic Inc. (formerly NCR) 53c1010
66Mhz Ultra3 SCSI Adapter (rev 01)
	Subsystem: Symbios Logic Inc. (formerly NCR): Unknown device 1000
	Flags: bus master, medium devsel, latency 72, IRQ 28
	I/O ports at d800 [size=256]
	Memory at feaffc00 (64-bit, non-prefetchable) [size=1K]
	Memory at feafc000 (64-bit, non-prefetchable) [size=8K]
	Expansion ROM at feaf8000 [disabled] [size=16K]
	Capabilities: [40] Power Management version 2

00:02.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 08)
	Subsystem: Ensoniq Creative Sound Blaster AudioPCI64V, AudioPCI128
	Flags: bus master, slow devsel, latency 64, IRQ 30
	I/O ports at df00 [size=64]
	Capabilities: [dc] Power Management version 1

00:07.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100]
(rev 08)	Subsystem: Intel Corporation EtherExpress PRO/100+ Management
Adapter
	Flags: bus master, medium devsel, latency 64, IRQ 23
	Memory at feafe000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at de80 [size=64]
	Memory at fe900000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at fe800000 [disabled] [size=1M]
	Capabilities: [dc] Power Management version 2

00:0f.0 ISA bridge: ServerWorks OSB4 (rev 51)
	Subsystem: ServerWorks OSB4
	Flags: bus master, medium devsel, latency 0

00:0f.1 IDE interface: ServerWorks: Unknown device 0211 (prog-if 8a [Master
SecP PriP])
	Flags: bus master, medium devsel, latency 64
	I/O ports at ffa0 [size=16]

00:0f.2 USB Controller: ServerWorks: Unknown device 0220 (rev 04) (prog-if
10 [OHCI])
	Subsystem: ServerWorks: Unknown device 0220
	Flags: bus master, medium devsel, latency 64, IRQ 10
	Memory at feaf5000 (32-bit, non-prefetchable) [size=4K]

01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP (rev
04) (prog-if 00 [VGA])
	Subsystem: Matrox Graphics, Inc.: Unknown device 0378
	Flags: bus master, medium devsel, latency 64, IRQ 17
	Memory at fa000000 (32-bit, prefetchable) [size=32M]
	Memory at fe5fc000 (32-bit, non-prefetchable) [size=16K]
	Memory at fd800000 (32-bit, non-prefetchable) [size=8M]
	Expansion ROM at fe5e0000 [disabled] [size=64K]
	Capabilities: [dc] Power Management version 2
	Capabilities: [f0] AGP version 2.0

lspci -v on Thinkpad i1500 laptop that fails to boot. Also IDE with Toshiba
CD-ROM:

00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge
(rev 03)
	Subsystem: Acer Incorporated [ALI]: Unknown device 1007
	Flags: bus master, medium devsel, latency 32
	Memory at e0000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev
03) (prog-if 00 [Normal decode])
	Flags: bus master, 66Mhz, medium devsel, latency 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	I/O behind bridge: 00008000-00008fff
	Memory behind bridge: 80300000-820fffff

00:02.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
	Flags: bus master, medium devsel, latency 0

00:02.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
(prog-if 80 [Master])
	Flags: bus master, medium devsel, latency 32
	I/O ports at 9040 [size=16]

00:02.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
(prog-if 00 [UHCI])
	Flags: bus master, medium devsel, latency 32, IRQ 11
	I/O ports at 9000 [size=32]

00:02.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 03)
	Flags: medium devsel, IRQ 9

00:06.0 Communication controller: Lucent Microelectronics WinModem 56k (rev
01)
	Subsystem: AMBIT Microsystem Corp.: Unknown device 0440
	Flags: bus master, medium devsel, latency 0, IRQ 5
	Memory at 80100000 (32-bit, non-prefetchable) [size=256]
	I/O ports at 7480 [size=8]
	I/O ports at 7800 [size=256]
	Capabilities: [f8] Power Management version 2

00:08.0 Multimedia audio controller: ESS Technology ES1969 Solo-1
Audiodrive (rev 02)
	Subsystem: ESS Technology: Unknown device 8898
	Flags: bus master, medium devsel, latency 32, IRQ 5
	I/O ports at 7000 [size=64]
	I/O ports at 7080 [size=16]
	I/O ports at 70c0 [size=16]
	I/O ports at 7400 [size=4]
	I/O ports at 7440 [size=4]
	Capabilities: [c0] Power Management version 1

00:09.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus
Controller (rev 01)
	Subsystem: Acer Incorporated [ALI]: Unknown device 1007
	Flags: bus master, medium devsel, latency 168, IRQ 11
	Memory at 10000000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=02, subordinate=05, sec-latency=176
	Memory window 0: 10400000-107ff000 (prefetchable)
	Memory window 1: 10800000-10bff000
	I/O window 0: 00001000-000010ff
	I/O window 1: 00001400-000014ff
	16-bit legacy interface ports at 0001

01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility P/M
AGP 2x (rev 64) (prog-if 00 [VGA])
	Subsystem: Acer Incorporated [ALI]: Unknown device 1007
	Flags: bus master, stepping, medium devsel, latency 32, IRQ 5
	Memory at 81000000 (32-bit, non-prefetchable) [size=16M]
	I/O ports at 8000 [size=256]
	Memory at 80300000 (32-bit, non-prefetchable) [size=4K]
	Expansion ROM at 80320000 [disabled] [size=128K]
	Capabilities: [50] AGP version 1.0
	Capabilities: [5c] Power Management version 1
Comment 1 Daniel Powell 2001-08-21 19:47:23 EDT
Both roswell and roswell 2 do this to me also... .here is my lspci -v.
Redhat 7.1 will boot. Windows 2000 will boot. 

00:00.0 Host bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133] (rev 03)
        Subsystem: Asustek Computer, Inc.: Unknown device 8042
        Flags: bus master, medium devsel, latency 0
        Memory at d0000000 (32-bit, prefetchable) [size=256M]
        Capabilities: [a0] AGP version 2.0
        Capabilities: [c0] Power Management version 2
 
00:01.0 PCI bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133 AGP] 
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: ca000000-cc6fffff
        Prefetchable memory behind bridge: cdf00000-cfffffff
        Capabilities: [80] Power Management version 2
 
00:04.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 
40)
        Subsystem: Asustek Computer, Inc.: Unknown device 8042
        Flags: bus master, stepping, medium devsel, latency 0
        Capabilities: [c0] Power Management version 2
 
00:04.1 IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 06) (prog-if 
8a [Master SecP PriP])
        Flags: bus master, medium devsel, latency 32
        I/O ports at b800 [size=16]
        Capabilities: [c0] Power Management version 2
 
00:04.2 USB Controller: VIA Technologies, Inc. UHCI USB (rev 16) (prog-if 00 
[UHCI])
        Subsystem: Unknown device 0925:1234
        Flags: bus master, medium devsel, latency 32, IRQ 9
        I/O ports at b400 [size=32]
        Capabilities: [80] Power Management version 2
 
00:04.3 USB Controller: VIA Technologies, Inc. UHCI USB (rev 16) (prog-if 00 
[UHCI])
        Subsystem: Unknown device 0925:1234
        Flags: bus master, medium devsel, latency 32, IRQ 9
        I/O ports at b000 [size=32]
        Capabilities: [80] Power Management version 2
 
00:04.4 Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 
40)
        Subsystem: Asustek Computer, Inc.: Unknown device 8042
        Flags: medium devsel, IRQ 9
        Capabilities: [68] Power Management version 2
 
00:09.0 Ethernet controller: National Semiconductor Corporation: Unknown 
device 0020
        Subsystem: Netgear: Unknown device f311
        Flags: bus master, medium devsel, latency 32, IRQ 9
        I/O ports at 9400 [size=256]
        Memory at c9800000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [40] Power Management version 2
 
00:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10000 (rev 05)
        Subsystem: Creative Labs CT4760 SBLive!
        Flags: bus master, medium devsel, latency 32
        I/O ports at 9000 [disabled] [size=32]
        Capabilities: [dc] Power Management version 1
 
00:0a.1 Input device controller: Creative Labs SB Live! (rev 05)
        Subsystem: Creative Labs Gameport Joystick
        Flags: bus master, medium devsel, latency 32
        I/O ports at 8800 [disabled] [size=8]
        Capabilities: [dc] Power Management version 1

00:0b.0 Ethernet controller: National Semiconductor Corporation: Unknown 
device 0020
        Subsystem: Netgear: Unknown device f311
        Flags: bus master, medium devsel, latency 32, IRQ 10
        I/O ports at 8400 [size=256]
        Memory at c9000000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [40] Power Management version 2
 
00:0d.0 Multimedia video controller: Brooktree Corporation Bt878 (rev 02)
        Subsystem: ATI Technologies Inc: Unknown device 0003
        Flags: bus master, medium devsel, latency 32, IRQ 9
        Memory at cd000000 (32-bit, prefetchable) [disabled] [size=4K]
 
00:0d.1 Multimedia controller: Brooktree Corporation Bt878 (rev 02)
        Subsystem: ATI Technologies Inc: Unknown device 0003
        Flags: bus master, medium devsel, latency 32, IRQ 9
        Memory at cc800000 (32-bit, prefetchable) [disabled] [size=4K]
 
00:11.0 Unknown mass storage controller: Promise Technology, Inc. 20265 (rev 
02)
        Subsystem: Promise Technology, Inc.: Unknown device 4d33
        Flags: bus master, medium devsel, latency 32, IRQ 10
        I/O ports at 8000 [size=8]
        I/O ports at 7800 [size=4]
        I/O ports at 7400 [size=8]
        I/O ports at 7000 [size=4]
        I/O ports at 6800 [size=64]
        Memory at c8800000 (32-bit, non-prefetchable) [size=128K]
        Expansion ROM at <unassigned> [disabled] [size=64K]
        Capabilities: [58] Power Management version 1
 
01:00.0 VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3 (rev 01) 
(prog-if 00 [VGA])
        Subsystem: 3Dfx Interactive, Inc.: Unknown device 1137
        Flags: 66Mhz, fast devsel, IRQ 11
        Memory at ca000000 (32-bit, non-prefetchable) [size=32M]
        Memory at ce000000 (32-bit, prefetchable) [size=32M]
        I/O ports at d800 [size=256]
        Expansion ROM at cdff0000 [disabled] [size=64K]
        Capabilities: [54] AGP version 1.0
        Capabilities: [60] Power Management version 1

Comment 2 Arjan van de Ven 2001-08-22 03:43:06 EDT
Same here on a
TOSHIBA DVD-ROM SD-M1402
Comment 3 Glen Foster 2001-08-22 18:11:56 EDT
We (Red Hat) should really try to fix this before next release.
Comment 4 Need Real Name 2001-08-23 14:27:48 EDT
Same here on a Toshiba Satellite Pro 440 CDT laptop with
internal XM-1502BN 10x Atapi CDROM drive.
Although I have configured the machine to boot from CDROM
it just skips the CDROM and boots from the harddisk
(with an older Linux installation on it)

   Rob van Nieuwkerk
Comment 5 Alejandro Gonzalez Hernandez - Imoq 2001-08-30 14:43:42 EDT
I am just curious... couldn't it be bad media? I have had experiences with 
really crappy CDs that won't boot, no matter what you put on them (win98, 
win2k, linux, etc.).

Just a tought.
Comment 6 Peter Jones 2005-04-19 14:07:46 EDT
Is this still a problem on current Fedora Core test releases?
Comment 7 Bill Nottingham 2006-10-18 14:27:19 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.